%define desktop_vendor newrpms
%{!?_dist: %{expand: %%define dist rhfc20}}

Summary:	GAdmin-Antivirus -- An easy to use GTK+ frontend for clamav antivirus.
Name:		gadmin-antivirus
Version:	0.0.4
Release:	0.1.%{dist}.nr
License:	GPL
Group:		Applications/System
URL:		http://dalalven.dtdns.net/linux.html
Source0:	http://dalalven.dtdns.net/linux/%{name}/%{name}-%{version}.tar.gz
BuildRoot:	%{_builddir}/%{name}-%{version}-root
Provides:	gadmin-antivirus

%description
GAdmin-Antivirus - An easy to use GTK+ frontend for clamav antivirus.

%prep
%setup -q
%configure

%build
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall INSTALL_USER=`id -un` INSTALL_GROUP=`id -gn`

# pam auth
install -d %{buildroot}%{_sysconfdir}/pam.d/
install -d %{buildroot}%{_sysconfdir}/security/console.apps
install -m 644 %{_sysconfdir}/pam.d/%{name} %{buildroot}%{_sysconfdir}/pam.d/%{name}
install -m 644 %{_sysconfdir}/security/console.apps/%{name} %{buildroot}%{_sysconfdir}/security/console.apps/%{name}

# desktop entry
install -d %{buildroot}%{_datadir}/applications
install -m 644 desktop/gadmin-antivirus.desktop %{buildroot}%{_datadir}/applications/%{name}.desktop

# doc files.. 
install -d %{buildroot}%{_datadir}/doc/%{name}
install -m 644  README COPYING AUTHORS ChangeLog %{buildroot}%{_datadir}/doc/%{name}

%find_lang %name

%post 
if test ! -h %{_bindir}/gadmin-antivirus ; then \
ln -s %{_bindir}/consolehelper %{_bindir}/gadmin-antivirus ; \
fi;

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
### %files
%defattr(0755, root, root)
%{_sbindir}/%{name}

%defattr(0644, root, root)
#%doc COPYING AUTHORS ChangeLog
%{_datadir}/doc/%{name}/README
%{_datadir}/doc/%{name}/COPYING 
%{_datadir}/doc/%{name}/AUTHORS 
%{_datadir}/doc/%{name}/ChangeLog

%{_sysconfdir}/pam.d/%{name}
%{_sysconfdir}/security/console.apps/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/*.png
%dir %{_datadir}/pixmaps/%{name}
%{_datadir}/pixmaps/%{name}/*.png

%changelog
* Mon Jan 3 2011 Magnus-swe <magnus-swe@telia.com>
- Using nonblocking io channels.
* Mon Dec 27 2010 Magnus-swe <magnus-swe@telia.com>
- Added Swedish translation.
* Fri Dec 24 2010 Magnus-swe <magnus-swe@telia.com>
- Initial release (Merry Christmas!!!)
