/* GAdmin-Antivirus - An easy to use GTK+ frontend for clamav antivirus.
 * Copyright (C) 2010 - 2014 Magnus Loef <magnus-swe@telia.com> 
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 * See the GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License along
 * with this program; if not, write to the Free Software Foundation, Inc.,
 * 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
 *
*/



#ifndef FUNCTIONS_H
#define FUNCTIONS_H

#include <gtk/gtk.h>

extern struct w *widgets;

char *allocate(long allocate_size);

int commented(char *line);

int get_option_pos(char *line, int optnum);

int run_command(gchar * command);
void run_command_show_err(gchar * command);

int file_exists(char *infile);

void move_file_to_quarantine(struct w *widgets);
int delete_file_from_system(GtkTreeView *treeview);

void set_treeview_path_first(GtkTreeView * treeview);

void enable_clamav_file(gchar *path);
void enable_clamav();

#endif
